**Full name**: reasoningEngines.v1.projects.locations.reasoningEngines.api.invokeReasoningEngine

Invokes reasoning engine with arbitrary HTTP requests for both unary and server-side streaming cases.

### Endpoint

post `https://{service-endpoint}/reasoningEngines/v1/{name}/api/**`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`name` `string` Required. The name of the ReasoningEngine resource to use. Format: `projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}` or `projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}/runtimeRevisions/{runtimeRevision}`

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/HttpBody`.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### IAM Permissions

Requires **one of** the following [IAM](https://cloud.google.com/iam/docs) permissions on the `name` resource, depending on the resource type:

- `aiplatform.reasoningEngines.query`
- `aiplatform.reasoningEngineRuntimeRevisions.query`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).